import { BrowserRouter, Routes, Route } from 'react-router-dom';

import { AdicionarDado, Login, AdicionarMaterial } from './screens';
import AreaAluno from './screens/AreaAluno';
import CadastroAluno from './screens/CadastroAluno';
import CadastroEspecialista from './screens/CadastroEspecialista';
import CadastroProfessor from './screens/CadastroProfessor';
import ListaMaterialScreen from './screens/ListMaterialModularScreensV2';
import MenuCoordenador from './screens/MenuCoordenador';
import MenuEspecialista from './screens/MenuEspecialista';
import MenuProfessor from './screens/MenuProfessor';
import StudentList from './screens/StudentList';
import UserList from './screens/UserList';

function App() {
  return (
    <div>
      <BrowserRouter>
        <Routes>
          <Route path="/" element={<Login />} />
          <Route path="/area-coordenador" element={<MenuCoordenador />} />
          <Route path="/area-professor" element={<MenuProfessor />} />
          <Route path="/area-especialista" element={<MenuEspecialista />} />
          <Route path="/adicionar-material" element={<AdicionarMaterial />} />
          <Route path="/editar-material/:id" element={<AdicionarMaterial />} />
          <Route path="/lista-usuarios" element={<UserList />} />
          <Route path="/lista-alunos-professor" element={<StudentList />} />
          <Route
            path="/lista-alunos-coordenador"
            element={<StudentList isCoordinator />}
          />
          <Route path="/cadastrar-aluno" element={<CadastroAluno />} />
          <Route path="/editar-aluno/:id" element={<CadastroAluno />} />
          <Route path="/cadastro-professor" element={<CadastroProfessor />} />
          <Route path="/area-aluno/:id" element={<AreaAluno />} />
          <Route
            path="/area-aluno/:idAluno/cadastrar-dado"
            element={<AdicionarDado />}
          />
          <Route
            path="/area-aluno/:idAluno/cadastrar-dado/:id"
            element={<AdicionarDado />}
          />
          <Route
            path="/cadastro-especialista"
            element={<CadastroEspecialista />}
          />
          <Route
            path="/lista-materiais-professor"
            element={<ListaMaterialScreen user="professor" />}
          />
        </Routes>
      </BrowserRouter>
    </div>
  );
}

export default App;
