import { TextField, TitleComponent } from '../components';
import { CardLista, Header } from '../containers';
import colors from '../utils/colors';
import fontawesome from '../utils/fontawesome';

const defaultProps = {
  className: 'listaMaterialScreen',
  user: '',
};

type ListaMatariaisProps = {
  className?: string;
  user?: string;
} & typeof defaultProps;

function ListaMaterialScreen(props: ListaMatariaisProps) {
  const { className, user } = props;
  const styles = {
    wrap: {
      textAlign: 'center' as const,
    },
    background: {
      backgroundColor: colors.theme.background,
    },
  };
  return (
    <div className={className} style={styles.background}>
      {user === 'professor' && (
        <div>
          <Header text="Área do Professor" />
          <div style={styles.wrap}>
            <TextField
              placeholder="Buscar..."
              borderRadius="1.875rem"
              width="20.1875rem"
              disableIcon={false}
            />
            <TextField
              placeholder="Tags"
              borderRadius="1.875rem"
              width="20.1875rem"
              disableIcon={false}
              icon={fontawesome.icons.faArrowCircleDown}
            />
          </div>
          <CardLista />
          <CardLista />
          <CardLista />
          <CardLista />
          <CardLista />
          <CardLista />
          <CardLista />
          <CardLista />
          <CardLista />
          <CardLista />
          <CardLista />
          <CardLista />
        </div>
      )}

      {user === 'especialista' && (
        <div>
          <Header text="Área do Especialista" />
          <TitleComponent text="Meus Materiais" />
          <div style={styles.wrap}>
            <TextField
              placeholder="Buscar..."
              borderRadius="1.875rem"
              width="20.1875rem"
              disableIcon={false}
            />
            <TextField
              placeholder="Tags"
              borderRadius="1.875rem"
              width="20.1875rem"
              disableIcon={false}
              icon={fontawesome.icons.faArrowCircleDown}
            />
          </div>

          <CardLista />
          <CardLista />
        </div>
      )}
    </div>
  );
}

ListaMaterialScreen.defaultProps = defaultProps;
export default ListaMaterialScreen;
